GroovyPageResourceLoader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.support.StaticResourceLoader
          org.codehaus.groovy.grails.web.pages.GroovyPageResourceLoader

    public class GroovyPageResourceLoader
    extends StaticResourceLoader

A StaticResourceLoader that loads GSPs from a local grails-app folder instead of from WEB-INF in development mode.

Authors:
  Graeme Rocher

See Also:
  StaticResourceLoader

Since:
  0.5

Field Summary
`static java.lang.String` | `BEAN_ID` The id of the instance of this bean to be used in the Spring context

Method Summary
`protected java.lang.String` | `buildPluginViewPath(java.lang.String pluginBaseDirectory, java.lang.String pluginName, java.lang.String pathRelativeToPlugin)`
`protected java.lang.String` | `buildPluginViewPathFromBase(java.lang.String pluginBase, java.lang.String pathRelativeToPlugin, java.lang.StringBuilder builder)`
`protected boolean` | `compareFilePaths(java.io.File f1, java.io.File f2)`
`protected org.springframework.core.io.Resource` | `findInInlinePlugin(java.lang.String pluginFullName, java.lang.String pathRelativeToPlugin)`
`org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
`protected boolean` | `isInlinePlugin(GrailsPluginInfo pluginInfo)`
`void` | `setBaseResource(org.springframework.core.io.Resource baseResource)`
`void` | `setPluginSettings(PluginBuildSettings settings)`

Methods inherited from class StaticResourceLoader
getClassLoader, getResource, setBaseResource

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BEAN_ID

    public static final java.lang.String BEAN_ID

  The id of the instance of this bean to be used in the Spring context

Method Detail

### buildPluginViewPath

    protected java.lang.String buildPluginViewPath(java.lang.String pluginBaseDirectory, java.lang.String pluginName, java.lang.String pathRelativeToPlugin)

### buildPluginViewPathFromBase

    protected java.lang.String buildPluginViewPathFromBase(java.lang.String pluginBase, java.lang.String pathRelativeToPlugin, java.lang.StringBuilder builder)

### compareFilePaths

    protected boolean compareFilePaths(java.io.File f1, java.io.File f2)

### findInInlinePlugin

    protected org.springframework.core.io.Resource findInInlinePlugin(java.lang.String pluginFullName, java.lang.String pathRelativeToPlugin)

### getResource

    @java.lang.Override
    public org.springframework.core.io.Resource getResource(java.lang.String location)

### isInlinePlugin

    protected boolean isInlinePlugin(GrailsPluginInfo pluginInfo)

### setBaseResource

    @java.lang.Override
    public void setBaseResource(org.springframework.core.io.Resource baseResource)

### setPluginSettings

    public void setPluginSettings(PluginBuildSettings settings)

Groovy Documentation